Skip to main content
POST
/
wireless
/
detail
/
records
/
reports
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const detailRecordsReport = await client.wireless.detailRecordsReports.create();

console.log(detailRecordsReport.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
detail_records_report = client.wireless.detail_records_reports.create()
print(detail_records_report.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
detailRecordsReport, err := client.Wireless.DetailRecordsReports.New(context.TODO(), telnyx.WirelessDetailRecordsReportNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", detailRecordsReport.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportCreateParams;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportCreateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

DetailRecordsReportCreateResponse detailRecordsReport = client.wireless().detailRecordsReports().create();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

detail_records_report = telnyx.wireless.detail_records_reports.create

puts(detail_records_report)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$detailRecordsReport = $client->wireless->detailRecordsReports->create(
endTime: '2018-02-02T22:25:27.521Z', startTime: '2018-02-02T22:25:27.521Z'
);

var_dump($detailRecordsReport);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx wireless:detail-records-reports create \
--api-key 'My API Key'
curl --request POST \
--url https://api.telnyx.com/v2/wireless/detail/records/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_time": "2018-02-02T22:25:27.521Z",
"end_time": "2018-02-02T22:25:27.521Z"
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "detail_records_report",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "start_time": "2018-02-02T22:25:27.521Z",
    "end_time": "2018-02-02T22:25:27.521Z",
    "status": "pending",
    "report_url": "http://example.com"
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
start_time
string

ISO 8601 formatted date-time indicating the start time.

Example:

"2018-02-02T22:25:27.521Z"

end_time
string

ISO 8601 formatted date-time indicating the end time.

Example:

"2018-02-02T22:25:27.521Z"

Response

Successful response

data
object